from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File, String

Circlecompare_V0_1_0 = CommandToolBuilder(tool="CircleCompare", base_command=["CircleCompare"], inputs=[ToolInput(tag="in_alternative", input_type=Boolean(optional=True), prefix="--alternative", doc=InputDocumentation(doc="Specify that an alternative color scheme should be used.\nDefault is not to use the alternative color scheme.")), ToolInput(tag="in_exact", input_type=Boolean(optional=True), prefix="--exact", doc=InputDocumentation(doc="Specify exact comparison when structure comparison is scored.\nDefault is to allow flexible pairings.")), ToolInput(tag="in_file", input_type=Boolean(optional=True), prefix="--file", doc=InputDocumentation(doc="Specify that structure file names should be shown in addition to their\ndescriptions.\nDefault is not to show structure file names.")), ToolInput(tag="in_levo_rotatory", input_type=Boolean(optional=True), prefix="--levorotatory", doc=InputDocumentation(doc="Specify that the drawn structure is rendered counterclockwise.\nDefault is to render drawn structures clockwise.")), ToolInput(tag="in_svg", input_type=Boolean(optional=True), prefix="--svg", doc=InputDocumentation(doc="Specify that the output file should be an SVG image file, rather than a\nPostscript image file. Note that only one SVG image can be written into a\nparticular file, so the structure number flag must also be specified when\nwriting an SVG document.")), ToolInput(tag="in_uncircled", input_type=Boolean(optional=True), prefix="--uncircled", doc=InputDocumentation(doc="Specify that no circles should surround nucleotides when drawing.\nDefault is to surround nucleotides with circles.")), ToolInput(tag="in_number", input_type=File(optional=True), prefix="--number", doc=InputDocumentation(doc="Specify the index of a particular structure in the predicted CT to be\ncompared with the accepted CT, one-indexed.\nDefault is -1, which signifies all structures output to one file.")), ToolInput(tag="in_probability", input_type=Boolean(optional=True), prefix="--probability", doc=InputDocumentation(doc="Specify the name of the file from which base pairing probability data will\nbe read for annotation. This file should describe pairing data for the\npredicted structure, not the accepted structure.\nDefault is no probability annotation file used.")), ToolInput(tag="in_probability_two", input_type=Boolean(optional=True), prefix="--probability2", doc=InputDocumentation(doc="Specify the name of the file from which base pairing probability data will\nbe read for annotation. This file should describe pairing data for the\naccepted structure, not the predicted structure.\nDefault is no probability annotation file used.")), ToolInput(tag="in_shape", input_type=Boolean(optional=True), prefix="--SHAPE", doc=InputDocumentation(doc="Specify the name of the file from which SHAPE data will be read for\nannotation.\nDefault is no SHAPE annotation file used.")), ToolInput(tag="in_text", input_type=Boolean(optional=True), prefix="--text", doc=InputDocumentation(doc="Specify the name of the text file from which base pairing probability data\nwill be read for annotation. This file should describe pairing data for the\npredicted structure, not the accepted structure.\nDefault is no probability annotation file used.\n")), ToolInput(tag="in_predicted_ct", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_accepted_ct", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_output_file", input_type=File(), position=2, doc=InputDocumentation(doc=""))], outputs=[ToolOutput(tag="out_number", output_type=File(optional=True), selector=InputSelector(input_to_select="in_number", type_hint=File()), doc=OutputDocumentation(doc="Specify the index of a particular structure in the predicted CT to be\ncompared with the accepted CT, one-indexed.\nDefault is -1, which signifies all structures output to one file.")), ToolOutput(tag="out_output_file", output_type=File(), selector=InputSelector(input_to_select="in_output_file", type_hint=File()), doc=OutputDocumentation(doc=""))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Circlecompare_V0_1_0().translate("wdl", allow_empty_container=True)

